> For the complete documentation index, see [llms.txt](https://docs.wisej.com/extensions/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/extensions/extensions/googlemaps/api/wisej.web.ext.googlemaps.latlngbounds.md).

# LatLngBounds

Namespace: **Wisej.Web.Ext.GoogleMaps**

Assembly: **Wisej.Web.Ext.GoogleMaps** (3.2.0.0)

A LatLngBounds instance represents a rectangle in geographical coordinates, including one that crosses the 180 degrees longitudinal meridian.

{% tabs %}
{% tab title="C#" %}

```csharp
public class LatLngBounds
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class LatLngBounds
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/-MirBsnmjWIxMsN8l0Ms)LatLngBounds()

Initializes a new instance of the [LatLngBounds](/extensions/extensions/googlemaps/api/wisej.web.ext.googlemaps.latlngbounds.md) class.

## Properties

### ![](/files/-MirBsnmjWIxMsN8l0Ms)East

[Double](https://docs.microsoft.com/en-us/dotnet/api/system.double): East longitude in degrees. Values outside the range \[-180, 180] will be wrapped to the range \[-180, 180). For example, a value of -190 will be converted to 170. A value of 190 will be converted to -170. This reflects the fact that longitudes wrap around the globe.

### ![](/files/-MirBsnmjWIxMsN8l0Ms)North

[Double](https://docs.microsoft.com/en-us/dotnet/api/system.double): North latitude in degrees. Values will be clamped to the range \[-90, 90]. This means that if the value specified is less than -90, it will be set to -90. And if the value is greater than 90, it will be set to 90.

### ![](/files/-MirBsnmjWIxMsN8l0Ms)South

[Double](https://docs.microsoft.com/en-us/dotnet/api/system.double): South latitude in degrees. Values will be clamped to the range \[-90, 90]. This means that if the value specified is less than -90, it will be set to -90. And if the value is greater than 90, it will be set to 90.

### ![](/files/-MirBsnmjWIxMsN8l0Ms)West

[Double](https://docs.microsoft.com/en-us/dotnet/api/system.double): West longitude in degrees. Values outside the range \[-180, 180] will be wrapped to the range \[-180, 180). For example, a value of -190 will be converted to 170. A value of 190 will be converted to -170. This reflects the fact that longitudes wrap around the globe.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/extensions/extensions/googlemaps/api/wisej.web.ext.googlemaps.latlngbounds.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
